Bug 1339171 - Error :[AbstractController::DoubleRenderError] when click on reset button in datastore tag assignment form
Summary: Error :[AbstractController::DoubleRenderError] when click on reset button in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.6.0
Assignee: lgalis
QA Contact: Tasos Papaioannou
URL:
Whiteboard: datastore:ui:button
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 10:08 UTC by Niyaz Akhtar Ansari
Modified: 2017-05-11 16:26 UTC (History)
6 users (show)

Fixed In Version: 5.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-11 16:26:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
reset error (78.34 KB, image/png)
2016-05-24 10:08 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2016-05-24 10:08:49 UTC
Created attachment 1160972 [details]
reset error

Description of problem:


Version-Release number of selected component (if applicable):
Version 5.6.0.7-beta2.6.20160516171555_b1be31f


How reproducible:
100%

Steps to Reproduce:
1.Navigate to Compute->Infrastructure->Datastores 
2.Choose any datastore->click on Edit Tags from Policy Tab
3.Set Tag Assignment and Click on reset button.

Actual results:
After Clicked on reset button it throws an error in log.

Expected results:
After clicking on reset button setting should reset successfully. 

Additional info:

Production Log:
[----] I, [2016-05-24T05:35:56.103935 #3099:1439c88]  INFO -- : Started POST "/storage/tag_edit_form_field_changed/8?escape=false&tag_remove=122" for 127.0.0.1 at 2016-05-24 05:35:56 -0400
[----] I, [2016-05-24T05:35:56.107138 #3099:1439c88]  INFO -- : Processing by StorageController#tag_edit_form_field_changed as JS
[----] I, [2016-05-24T05:35:56.107305 #3099:1439c88]  INFO -- :   Parameters: {"authenticity_token"=>"/3ZMqsXkPOmnwuHIj16fXdFMwunjg294KKtoJX6fkh0wsTekPhzvFCekxGtThZK/oXb7hoFwTKvUcGvUv+FWyA==", "escape"=>"false", "tag_remove"=>"122", "id"=>"8"}
[----] I, [2016-05-24T05:35:56.457426 #3099:1439c88]  INFO -- :   Rendered layouts/_tag_edit_cat_tags.html.haml (1.3ms)
[----] I, [2016-05-24T05:35:56.458166 #3099:1439c88]  INFO -- :   Rendered layouts/_tag_edit_assignments.html.haml (0.2ms)
[----] I, [2016-05-24T05:35:56.519460 #3099:1439c88]  INFO -- : Completed 200 OK in 412ms (Views: 3.8ms | ActiveRecord: 0.0ms)
[----] I, [2016-05-24T05:36:00.808678 #3099:1436268]  INFO -- : Started POST "/storage/tag_edit_form_field_changed/8?tag_cat=91" for 127.0.0.1 at 2016-05-24 05:36:00 -0400
[----] I, [2016-05-24T05:36:00.811781 #3099:1436268]  INFO -- : Processing by StorageController#tag_edit_form_field_changed as JS
[----] I, [2016-05-24T05:36:00.811904 #3099:1436268]  INFO -- :   Parameters: {"tag_cat"=>"91", "id"=>"8"}
[----] I, [2016-05-24T05:36:01.008724 #3099:1436268]  INFO -- :   Rendered layouts/_tag_edit_cat_tags.html.haml (1.5ms)
[----] I, [2016-05-24T05:36:01.112151 #3099:1436268]  INFO -- : Completed 200 OK in 300ms (Views: 3.7ms | ActiveRecord: 0.0ms)
[----] I, [2016-05-24T05:36:05.943297 #3099:1436bdc]  INFO -- : Started POST "/storage/tag_edit_form_field_changed/8?tag_add=94" for 127.0.0.1 at 2016-05-24 05:36:05 -0400
[----] I, [2016-05-24T05:36:05.946152 #3099:1436bdc]  INFO -- : Processing by StorageController#tag_edit_form_field_changed as JS
[----] I, [2016-05-24T05:36:05.946268 #3099:1436bdc]  INFO -- :   Parameters: {"tag_add"=>"94", "id"=>"8"}
[----] I, [2016-05-24T05:36:06.380192 #3099:1436bdc]  INFO -- :   Rendered layouts/_tag_edit_cat_tags.html.haml (1.7ms)
[----] I, [2016-05-24T05:36:06.382968 #3099:1436bdc]  INFO -- :   Rendered layouts/_tag_edit_assignments.html.haml (1.6ms)
[----] I, [2016-05-24T05:36:06.557426 #3099:1436bdc]  INFO -- : Completed 200 OK in 611ms (Views: 7.0ms | ActiveRecord: 0.0ms)
[----] I, [2016-05-24T05:36:09.656959 #3099:14366b4]  INFO -- : Started POST "/storage/tagging/8?button=reset" for 127.0.0.1 at 2016-05-24 05:36:09 -0400
[----] I, [2016-05-24T05:36:09.659857 #3099:14366b4]  INFO -- : Processing by StorageController#tagging as JS
[----] I, [2016-05-24T05:36:09.660007 #3099:14366b4]  INFO -- :   Parameters: {"button"=>"reset", "id"=>"8"}
[----] I, [2016-05-24T05:36:10.321859 #3099:14366b4]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.3ms)
[----] I, [2016-05-24T05:36:10.327277 #3099:14366b4]  INFO -- :   Rendered shared/summary/_textual.html.haml (4.8ms)
[----] I, [2016-05-24T05:36:10.340613 #3099:14366b4]  INFO -- :   Rendered shared/summary/_textual.html.haml (12.3ms)
[----] I, [2016-05-24T05:36:10.408209 #3099:14366b4]  INFO -- :   Rendered shared/summary/_textual.html.haml (67.1ms)
[----] I, [2016-05-24T05:36:10.444639 #3099:14366b4]  INFO -- :   Rendered shared/summary/_textual.html.haml (33.2ms)
[----] I, [2016-05-24T05:36:10.445358 #3099:14366b4]  INFO -- :   Rendered shared/summary/_textual_tags.html.haml (0.3ms)
[----] I, [2016-05-24T05:36:10.445481 #3099:14366b4]  INFO -- :   Rendered storage/_main.html.haml (124.3ms)
[----] I, [2016-05-24T05:36:10.447763 #3099:14366b4]  INFO -- :   Rendered layouts/_x_adv_searchbox.html.haml (1.4ms)
[----] I, [2016-05-24T05:36:10.454369 #3099:14366b4]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.2ms)
[----] I, [2016-05-24T05:36:10.454902 #3099:14366b4]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.2ms)
[----] I, [2016-05-24T05:36:10.472056 #3099:14366b4]  INFO -- :   Rendered layouts/quadicon/_storage.html.haml (16.0ms)
[----] I, [2016-05-24T05:36:10.473817 #3099:14366b4]  INFO -- :   Rendered layouts/gtl/_grid.html.haml (18.6ms)
[----] I, [2016-05-24T05:36:10.473966 #3099:14366b4]  INFO -- :   Rendered layouts/_gtl.html.haml (20.1ms)
[----] I, [2016-05-24T05:36:10.474116 #3099:14366b4]  INFO -- :   Rendered storage/_storage_list.html.haml (20.5ms)
[----] I, [2016-05-24T05:36:10.499710 #3099:14366b4]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.2ms)
[----] I, [2016-05-24T05:36:10.506902 #3099:14366b4]  INFO -- :   Rendered layouts/_tag_edit_cat_tags.html.haml (1.2ms)
[----] I, [2016-05-24T05:36:10.507452 #3099:14366b4]  INFO -- :   Rendered layouts/_tag_edit_assignments.html.haml (0.2ms)
[----] I, [2016-05-24T05:36:10.507615 #3099:14366b4]  INFO -- :   Rendered layouts/_tag_edit.html.haml (7.4ms)
[----] I, [2016-05-24T05:36:10.508576 #3099:14366b4]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.1ms)
[----] I, [2016-05-24T05:36:10.510473 #3099:14366b4]  INFO -- :   Rendered layouts/quadicon/_storage.html.haml (1.2ms)
[----] I, [2016-05-24T05:36:10.510902 #3099:14366b4]  INFO -- :   Rendered layouts/gtl/_grid.html.haml (2.1ms)
[----] I, [2016-05-24T05:36:10.511044 #3099:14366b4]  INFO -- :   Rendered layouts/_gtl.html.haml (2.7ms)
[----] I, [2016-05-24T05:36:10.511170 #3099:14366b4]  INFO -- :   Rendered layouts/_tag_edit_items.html.haml (3.3ms)
[----] I, [2016-05-24T05:36:10.511286 #3099:14366b4]  INFO -- :   Rendered layouts/_tagging.html.haml (12.0ms)
[----] I, [2016-05-24T05:36:10.514043 #3099:14366b4]  INFO -- :   Rendered layouts/_x_edit_buttons.html.haml (1.9ms)
[----] F, [2016-05-24T05:36:10.525295 #3099:14366b4] FATAL -- : Error caught: [AbstractController::DoubleRenderError] Render and/or redirect were called multiple times in this action. Please note that you may only call render OR redirect, and at most once per action. Also note that neither redirect nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to do something like "redirect_to(...) and return".
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rendering.rb:35:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
/var/www/miq/vmdb/app/controllers/storage_controller.rb:642:in `render_tagging_form'
/var/www/miq/vmdb/app/controllers/storage_controller.rb:448:in `tagging'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/abstract_controller/base.rb:181:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:186:in `call!'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:164:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/builder.rb:63:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
[----] I, [2016-05-24T05:36:10.527038 #3099:14366b4]  INFO -- : Completed 500 Internal Server Error in 867ms (Views: 0.5ms | ActiveRecord: 0.0ms)
[----] F, [2016-05-24T05:36:10.528177 #3099:14366b4] FATAL -- :   
[----] F, [2016-05-24T05:36:10.528262 #3099:14366b4] FATAL -- : AbstractController::DoubleRenderError (Render and/or redirect were called multiple times in this action. Please note that you may only call render OR redirect, and at most once per action. Also note that neither redirect nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to do something like "redirect_to(...) and return".):
[----] F, [2016-05-24T05:36:10.528327 #3099:14366b4] FATAL -- :   
[----] F, [2016-05-24T05:36:10.528380 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rendering.rb:35:in `render'
[----] F, [2016-05-24T05:36:10.528431 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
[----] F, [2016-05-24T05:36:10.528480 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
[----] F, [2016-05-24T05:36:10.528554 #3099:14366b4] FATAL -- : /opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
[----] F, [2016-05-24T05:36:10.528610 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
[----] F, [2016-05-24T05:36:10.528660 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
[----] F, [2016-05-24T05:36:10.528710 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
[----] F, [2016-05-24T05:36:10.528758 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
[----] F, [2016-05-24T05:36:10.528811 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
[----] F, [2016-05-24T05:36:10.528861 #3099:14366b4] FATAL -- : app/controllers/application_controller.rb:128:in `block (2 levels) in render_exception'
[----] F, [2016-05-24T05:36:10.528910 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/mime_responds.rb:201:in `call'
[----] F, [2016-05-24T05:36:10.529000 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/mime_responds.rb:201:in `respond_to'
[----] F, [2016-05-24T05:36:10.529054 #3099:14366b4] FATAL -- : app/controllers/application_controller.rb:126:in `render_exception'
[----] F, [2016-05-24T05:36:10.529117 #3099:14366b4] FATAL -- : app/controllers/application_controller.rb:121:in `error_handler'
[----] F, [2016-05-24T05:36:10.529172 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/rescuable.rb:89:in `call'
[----] F, [2016-05-24T05:36:10.529220 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/rescuable.rb:89:in `rescue_with_handler'
[----] F, [2016-05-24T05:36:10.529268 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/rescuable.rb:156:in `rescue_with_handler'
[----] F, [2016-05-24T05:36:10.529422 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rescue.rb:23:in `rescue in process_action'
[----] F, [2016-05-24T05:36:10.529484 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
[----] F, [2016-05-24T05:36:10.529575 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
[----] F, [2016-05-24T05:36:10.529634 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
[----] F, [2016-05-24T05:36:10.529702 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
[----] F, [2016-05-24T05:36:10.529760 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/notifications.rb:164:in `instrument'
[----] F, [2016-05-24T05:36:10.529814 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
[----] F, [2016-05-24T05:36:10.529868 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
[----] F, [2016-05-24T05:36:10.529921 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
[----] F, [2016-05-24T05:36:10.529973 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/abstract_controller/base.rb:126:in `process'
[----] F, [2016-05-24T05:36:10.530026 #3099:14366b4] FATAL -- : actionview (5.0.0.rc1) lib/action_view/rendering.rb:30:in `process'
[----] F, [2016-05-24T05:36:10.530081 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
[----] F, [2016-05-24T05:36:10.530247 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
[----] F, [2016-05-24T05:36:10.530312 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
[----] F, [2016-05-24T05:36:10.530371 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
[----] F, [2016-05-24T05:36:10.530421 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
[----] F, [2016-05-24T05:36:10.530471 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
[----] F, [2016-05-24T05:36:10.530540 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
[----] F, [2016-05-24T05:36:10.530605 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
[----] F, [2016-05-24T05:36:10.530663 #3099:14366b4] FATAL -- : omniauth (1.3.1) lib/omniauth/strategy.rb:186:in `call!'
[----] F, [2016-05-24T05:36:10.530717 #3099:14366b4] FATAL -- : omniauth (1.3.1) lib/omniauth/strategy.rb:164:in `call'
[----] F, [2016-05-24T05:36:10.530772 #3099:14366b4] FATAL -- : omniauth (1.3.1) lib/omniauth/builder.rb:63:in `call'
[----] F, [2016-05-24T05:36:10.530825 #3099:14366b4] FATAL -- : secure_headers (3.0.3) lib/secure_headers/middleware.rb:10:in `call'
[----] F, [2016-05-24T05:36:10.530881 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/etag.rb:25:in `call'
[----] F, [2016-05-24T05:36:10.530932 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/conditional_get.rb:38:in `call'
[----] F, [2016-05-24T05:36:10.530984 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/head.rb:12:in `call'
[----] F, [2016-05-24T05:36:10.531036 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/session/abstract/id.rb:222:in `context'
[----] F, [2016-05-24T05:36:10.531329 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/session/abstract/id.rb:216:in `call'
[----] F, [2016-05-24T05:36:10.531392 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
[----] F, [2016-05-24T05:36:10.531451 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
[----] F, [2016-05-24T05:36:10.531509 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
[----] F, [2016-05-24T05:36:10.531588 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
[----] F, [2016-05-24T05:36:10.531644 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
[----] F, [2016-05-24T05:36:10.531709 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
[----] F, [2016-05-24T05:36:10.531945 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
[----] F, [2016-05-24T05:36:10.532006 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
[----] F, [2016-05-24T05:36:10.532060 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2016-05-24T05:36:10.532129 #3099:14366b4] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2016-05-24T05:36:10.532186 #3099:14366b4] FATAL -- : railties (5.0.0.rc1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2016-05-24T05:36:10.532241 #3099:14366b4] FATAL -- : request_store (1.3.1) lib/request_store/middleware.rb:9:in `call'
[----] F, [2016-05-24T05:36:10.532295 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2016-05-24T05:36:10.532350 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/method_override.rb:22:in `call'
[----] F, [2016-05-24T05:36:10.532404 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/runtime.rb:22:in `call'
[----] F, [2016-05-24T05:36:10.532455 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2016-05-24T05:36:10.532509 #3099:14366b4] FATAL -- : /opt/rh/cfme-gemset/bundler/gems/rails-a44497f6c9ef/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2016-05-24T05:36:10.532590 #3099:14366b4] FATAL -- : rack (2.0.0.rc1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2016-05-24T05:36:10.532645 #3099:14366b4] FATAL -- : railties (5.0.0.rc1) lib/rails/engine.rb:522:in `call'
[----] F, [2016-05-24T05:36:10.532698 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2016-05-24T05:36:10.532752 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2016-05-24T05:36:10.532806 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2016-05-24T05:36:10.532860 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2016-05-24T05:36:10.532917 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `call'
[----] F, [2016-05-24T05:36:10.532971 #3099:14366b4] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] F, [2016-05-24T05:36:10.533025 #3099:14366b4] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
[----] F, [2016-05-24T05:36:10.533089 #3099:14366b4] FATAL -- : logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Comment 2 Harpreet Kataria 2016-05-24 13:46:41 UTC
Laura,

Can you take a look at this one, i see double render error when pressing Reset button on tagging screen, tried it on 5.5.z working fine there, seems to be introduced with explorer conversion.

Thanks,
~Harpreet

Comment 4 CFME Bot 2016-05-26 17:10:30 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/51995a262ea063108a5cd715e4ac10afa5db65ea

commit 51995a262ea063108a5cd715e4ac10afa5db65ea
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Wed May 25 13:04:31 2016 -0400
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Wed May 25 17:05:41 2016 -0400

    Fix reset for datastore tagging reset
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1339171

 app/controllers/storage_controller.rb                    | 1 +
 app/helpers/application_helper/toolbar/storage_center.rb | 3 +--
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 6 Tasos Papaioannou 2017-05-11 16:26:07 UTC
Fixed in 5.6.0.13 (GA).


Note You need to log in before you can comment on or make changes to this bug.